DELETE
FROM
	PRC_FILIAL_CONFIG
where
	CD_CHAVE='COD_CENTRO_CUSTO_FILIAL'
GO
INSERT INTO PRC_FILIAL_CONFIG
select
	CTB_CENTRO_CUSTO_PRC_FILIAL.CD_EMP,
	CTB_CENTRO_CUSTO_PRC_FILIAL.CD_FILIAL,
	'COD_CENTRO_CUSTO_FILIAL',
	CTB_CENTRO_CUSTO_PRC_FILIAL.CD_CENTRO_CTB,
	1,
	GETDATE(),
	0
from
	CTB_CENTRO_CUSTO_PRC_FILIAL LEFT OUTER JOIN PRC_FILIAL_CONFIG ON
	CTB_CENTRO_CUSTO_PRC_FILIAL.CD_EMP = PRC_FILIAL_CONFIG.CD_EMP AND
	CTB_CENTRO_CUSTO_PRC_FILIAL.CD_FILIAL = PRC_FILIAL_CONFIG.CD_FILIAL AND
	'COD_CENTRO_CUSTO_FILIAL' = PRC_FILIAL_CONFIG.CD_CHAVE
WHERE
	PRC_FILIAL_CONFIG.CD_FILIAL IS NULL